import numpy as np
import matplotlib.pyplot as plt

#Construction d'un tableau de valeurs
x=np.array([400,346,200,0,-200,-346,-400,-346,-200,0,200,346])
y=np.array([0,200,346,400,346,200,0,-200,-346,-400,-346,-200])

#Représentation des positions d'un système
plt.plot(x,y,'o',markersize=5)
plt.xlabel("x (en km)")
plt.ylabel("y (en km)")
plt.title("Chronophotographie")

#Représentation des vecteurs vitesse du système
N=...  #Nombre de positions
dt=0.125 
for k in range(0, N-1) : 
    Vx=(x[...]- x[...])/dt   
    Vy=(y[...]- y[...])/dt  
    echelle=0.07 #coefficient pour ajuster la longueur des vecteurs
    Vx=Vx*echelle  
    Vy=Vy*echelle       
    plt.quiver(x[...],y[...],Vx,Vy,color="red",scale_units='xy',scale=1)
    
#Création et placement des noms des points
for k in range(N):        
    plt.text(x[k],y[k],"A"+str(k+1))

#Affichage
plt.axis('scaled') #repère orthonormé
plt.show()









